Skip to content

WireTypeCode⁠

Perform various operations for Symitar parameters.

Operations⁠

getWireTypeCodeSelectFields⁠

POST

Execute the persistent ParameterService getWireTypeCodeSelectFields operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/getWireTypeCodeSelectFields
POST /nexum/627/persistent/parameter/getWireTypeCodeSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "SelectableFields": {
    "IncludeAllWireTypeCodeFields": true,
    "WireTypeCodeFields": {
      "Field1690": [
        0
      ]
    }
  },
  "nxAttributes": {
    "customFields": {}
  }
}

updateWireTypeCodeByID⁠

POST

Execute the persistent ParameterService updateWireTypeCodeByID operation.

Authorizations
Authorizationstringrequired

Authenticate with your JWT.

Bearer YOUR_TOKEN

For setup help, see the authentication guide.

Path Parameters
symstringrequired
Sym number
MessageIdstringoptional
POST/nexum/{sym}/persistent/parameter/updateWireTypeCodeByID
POST /nexum/627/persistent/parameter/updateWireTypeCodeByID HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "DeviceInformation": {
    "DeviceType": "string",
    "DeviceNumber": 0
  },
  "WireTypeCodeFields": {
    "Field1690": [
      {
        "EntryId": 0,
        "Field1690": 0
      }
    ]
  },
  "nxAttributes": {
    "customFields": {}
  }
}